Subject: bug#48019: 28.0.50; Error signaled by documentation function

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 27 Apr 2021 01:50:17 +0200

Juri Linkov <[email-masked]> writes:

> Using help commands to get docstrings from the etc/DOC file
> raises an error, e.g. on typing 'C-h m':
>
>   Debugger entered--Lisp error: (wrong-type-argument listp t)
>     documentation(auto-composition-mode)
>     describe-mode()
>     funcall-interactively(describe-mode)
>     call-interactively(describe-mode nil nil)
>     command-execute(describe-mode)
>
> This is a recent regression.

I saw similar problems just now (not with `C-h m', but eldoc calling
`documentation' with parameters that made it bug out).  I did a "make
bootstrap", and I'm no longer seeing those problems.

If you do the same, does the problem go away for you, too?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no